| Home | Libraries | People | FAQ | More

## Function template replace

boost::compute::replace

## Synopsis

    // In header: <boost/compute/algorithm/replace.hpp>

    template<typename Iterator, typename T>
      void replace(Iterator first, Iterator last, const T & old_value,
                   const T & new_value,
                   command_queue & queue = system::default_queue());

## Description

Replaces each instance of `old_value` in the range [`first`, `last`) with `new_value`.